#!/bin/bash

###############################################################################
#
# NfoView v0.1
##############
#
# This script will show a selected file in the status-window of an ftp-browser.
# Not much else, I'm afraid.
#
# Requires bash, cat, echo and cut in glftpd's bin dir.
# Tested on FreeBSD v4.4/4.5, RedHat 6.2           
#                                                  
# Edit the two variables below to suit your needs. Add the following in
# glftpd.conf:                                     
#                                                  
# site_cmd NFOVIEW        EXEC    /bin/nfoview.sh  
# custom-nfoview          !8 *                     
#                                                  
# If you use FlashFXP (as most ppl do), put this in command-list:
# site nfoview %f                                  
# and select the Terminal Font, size 9 for status window.
#                                                  
###############################################################################

# What is the name of your site?
SITE="PSXC"

# Which filetypes should be supported? As you can see, it's case-sensetive
VALID="diz Diz dIz diZ DIz DiZ dIZ DIZ nfo Nfo nFo nfO NFo NfO nFO NFO sfv Sfv sFv sfV SFv SfV sFV SFV txt Txt tXt txT TXt TxT tXT TXT"

# no config below
#################

NFO=$1
count="20"
displayed="none"
while [ "$count" -gt "0" ]; do
  suff=`echo "$NFO" | cut -f $count -d'.'`
  if [ "$suff" = "" ]; then
    count="$[ $count - 1 ]";
  else
    for valid in $VALID; do
      if [ "$suff" = "$valid" ]; then
        echo " - [ $SITE ] ----- $NFO ---- [ $SITE ] -"
        echo ""
        cat $NFO
        echo ""
        echo " - [ $SITE ] ----- $NFO ---- [ $SITE ] -"
        displayed="yes"
        exit 0
      else
        displayed="no"
      fi
    done
    if [ ! "displayed" = "none" ]; then
      echo " - [ $SITE ] - The fileformat *.$suff is not supported. - [ $SITE ] -"
      exit 1
    fi
  fi
done
echo " - [ $SITE ] - This file cannot be displayed. - [ $SITE ] -"
exit 1

